package edu.mermet.tp8.fenetres;

import javax.swing.*;
import java.awt.*;
import java.awt.event.ActionEvent;
import java.awt.event.FocusEvent;
import java.awt.event.FocusListener;
import java.beans.PropertyChangeEvent;

/**
 *
 * @author brunomermet
 */
public class FenetreConversionMonnaie extends AbstractFenetreInterne {
    private JComboBox champMonnaie;
    private JComboBox champMonnaie2;
    private JTextField champMonnaieText1;
    private JTextField champMonnaieText2;
    private JButton boutonConvertir;
    private Action actionConvertir;
    private boolean celsiusAFocus;
    public FenetreConversionMonnaie(Action action) {
        super(action,"Conversion celsius/Farenheit");
        this.setSize(new Dimension(100,50));
        this.setLayout(new GridLayout(3,1));

        String[] data = {"France (Euro)", "Anglais (Livre)", "Américain (Dollars)"};

        JPanel ligneCelsius = new JPanel();
        ligneCelsius.setLayout(new FlowLayout(FlowLayout.TRAILING));
        JLabel labCelsius = new JLabel("Celsius :");
        champMonnaie = new JComboBox(data);
        ligneCelsius.add(champMonnaie);
        champMonnaieText1 = new JTextField(15);
        ligneCelsius.add(champMonnaieText1);
        this.add(ligneCelsius);
        celsiusAFocus = true;
        JPanel ligneFarenheit = new JPanel();
        ligneFarenheit.setLayout(new FlowLayout(FlowLayout.TRAILING));
        champMonnaie2 = new JComboBox(data);
        champMonnaieText2 = new JTextField(15);
        ligneFarenheit.add(champMonnaie);
        ligneFarenheit.add(champMonnaieText2);
        this.add(ligneFarenheit);
        JPanel ligneValider = new JPanel();
        ligneValider.setLayout(new FlowLayout(FlowLayout.CENTER));
        actionConvertir = new ActionConvertir();
        boutonConvertir = new JButton(actionConvertir);
        ligneValider.add(boutonConvertir);
        this.add(ligneValider);
        
        pack();
        getRootPane().setDefaultButton(boutonConvertir);
    }

    private class EcouteurFocus implements FocusListener {
        private boolean aStocker;

        public EcouteurFocus(boolean b) {
            aStocker = b;
        }

        @Override
        public void focusGained(FocusEvent fe) {
            celsiusAFocus = aStocker;
        }

        @Override
        public void focusLost(FocusEvent fe) {
            return;
        }
    }

    private class ActionConvertir extends AbstractAction {

        public ActionConvertir() {
            super("Convertir");
        }

        @Override
        public void actionPerformed(ActionEvent ae) {


        }
    }

    public void propertyChange(PropertyChangeEvent evt) {
        switch (evt.getNewValue().toString()){
            case "FR":
                setTitle("Conversion celsius/Farenheit");
                boutonConvertir.setText("Convertir");
                break;
            case "EN":
                setTitle("Conversion celsius/Farenheit");
                boutonConvertir.setText("Convert");
                break;
        }
    }


}
